> ## Documentation Index
> Fetch the complete documentation index at: https://docs.jogg.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate AI Avatar Photo

> Generate four photos based on the provided parameters



## OpenAPI

````yaml POST /photo_avatar/photo/generate
openapi: 3.0.1
info:
  title: OpenAPI Render API
  description: A sample API that demonstrates features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.jogg.ai/v1
security:
  - apiKeyAuth: []
tags:
  - name: Create Video from URL
    description: |-



      Product video generation workflow:



        1. First call POST /product to crawl product information



        2. Optionally call PUT /product to modify product details using the product_id from step 1



        3. Finally call POST /create_video_from_url to generate video using the product_id from step 1
  - name: Webhook
    description: Webhook configuration and management
paths:
  /photo_avatar/photo/generate:
    post:
      tags:
        - Create photo avatar
      summary: Generate Photo
      description: Generate four photos based on the provided parameters
      requestBody:
        description: Request parameter
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GeneratePhotoReq'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/GeneratePhotoResp'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseResponse'
components:
  schemas:
    GeneratePhotoReq:
      required:
        - age
        - avatar_style
        - gender
        - model
        - aspect_ratio
      type: object
      properties:
        age:
          type: string
          example: Adult
          enum:
            - Teenager
            - Young adult
            - Adult
            - Elderly
        appearance:
          type: string
        aspect_ratio:
          type: integer
          description: |
            Photo aspect ratio:
            * 0 - Portrait [9:16]
            * 1 - Landscape [16:9]
          enum:
            - 0
            - 1
        avatar_style:
          type: string
          enum:
            - Professional
            - Social
        background:
          type: string
        ethnicity:
          type: string
          enum:
            - European
            - African
            - South Asian
            - East Asian
            - Middle Eastern
            - South American
            - North American
        gender:
          type: string
          enum:
            - Female
            - Male
        image_url:
          type: string
        model:
          type: string
          enum:
            - classic
            - modern
    BaseResponse:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          description: |



            Business status code:



            * 0 - Success



            * 10104 - Record not found



            * 10105 - Invalid API key



            * 18020 - Insufficient credit



            * 18025 - No permission to call APIs.



            * 40000 - Parameter error



            * 50000 - System error
        msg:
          type: string
          description: Response message
    GeneratePhotoResp:
      type: object
      properties:
        photo_id:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````